/*
 * Copyright (c) 2021 Nordic Semiconductor ASA
 *
 * SPDX-License-Identifier: LicenseRef-Nordic-5-Clause
 */

#define MODULE main

#include <app_event_manager.h>
#include <caf/events/module_state_event.h>
#include <inttypes.h>
#include <zephyr/device.h>
#include <zephyr/devicetree.h>
#include <zephyr/drivers/gpio.h>
#include <zephyr/kernel.h>
#include <zephyr/logging/log.h>
#include <zephyr/sys/util.h>
#include <zephyr/sys/printk.h>
#include "led_pwm.h"

LOG_MODULE_REGISTER(MODULE);

int main(void) {
    if (app_event_manager_init()) {
        LOG_ERR("Application Event Manager not initialized");
    } else {
        module_set_state(MODULE_STATE_READY);
    }

    ledInit();

    return 0;
}
